summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackware-id.org>2013-03-16 19:37:54 (GMT)
committer dsomero <xgizzmo@slackbuilds.org>2013-03-22 11:16:50 (GMT)
commitf2ffa9e11687aa211f115f4cd3a8f1a107873b0a (patch)
tree67847e1dbda7136c95ab8e4151b5dfabf4ae5e8d
parent13ce2fb63b8b47801386c688a145ff3e958c7995 (diff)
downloadslackbuilds-f2ffa9e11687aa211f115f4cd3a8f1a107873b0a.tar.gz
slackbuilds-f2ffa9e11687aa211f115f4cd3a8f1a107873b0a.tar.xz
multimedia/TeamSpeak3: Added (Voice Communication)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--multimedia/TeamSpeak3/README5
-rw-r--r--multimedia/TeamSpeak3/TeamSpeak3.SlackBuild102
-rw-r--r--multimedia/TeamSpeak3/TeamSpeak3.desktop10
-rw-r--r--multimedia/TeamSpeak3/TeamSpeak3.info10
-rw-r--r--multimedia/TeamSpeak3/TeamSpeak3.launcher5
-rw-r--r--multimedia/TeamSpeak3/TeamSpeak3.xpm305
-rw-r--r--multimedia/TeamSpeak3/doinst.sh3
-rw-r--r--multimedia/TeamSpeak3/slack-desc19
8 files changed, 459 insertions, 0 deletions
diff --git a/multimedia/TeamSpeak3/README b/multimedia/TeamSpeak3/README
new file mode 100644
index 0000000..c196b91
--- /dev/null
+++ b/multimedia/TeamSpeak3/README
@@ -0,0 +1,5 @@
+TeamSpeak is software for quality voice communication via Internet
+
+TeamSpeak featured a client-server architecture, firewall-friendly
+client communication, multiple channels (formerly known as "rooms"),
+user administration, and cross-platform support.
diff --git a/multimedia/TeamSpeak3/TeamSpeak3.SlackBuild b/multimedia/TeamSpeak3/TeamSpeak3.SlackBuild
new file mode 100644
index 0000000..c0aa9ce
--- /dev/null
+++ b/multimedia/TeamSpeak3/TeamSpeak3.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for TeamSpeak3
+
+# Copyright 2013 Willy Sudiarto Raharjo <willysr@slackware-id.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=TeamSpeak3
+VERSION=${VERSION:-3.0.10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+if [ "$ARCH" = "x86_64" ]; then
+ TSARCH="amd64"
+else
+ TSARCH="x86"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+mkdir -p $PKG/opt
+chmod +x $CWD/$PRGNAM-Client-linux_$TSARCH-$VERSION.run
+$CWD/$PRGNAM-Client-linux_$TSARCH-$VERSION.run --noexec --target $PKG/opt/TeamSpeak3
+cd $PKG
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Remove bundled Qt
+rm -f $PKG/opt/TeamSpeak3/libQt*
+
+# We linked them to Qt used in Slackware
+ln -s /usr/lib${LIBDIRSUFFIX}/libQtCore.so.4 $PKG/opt/TeamSpeak3/libQtCore.so.4
+ln -s /usr/lib${LIBDIRSUFFIX}/libQtGui.so.4 $PKG/opt/TeamSpeak3/libQtGui.so.4
+ln -s /usr/lib${LIBDIRSUFFIX}/libQtNetwork.so.4 $PKG/opt/TeamSpeak3/libQtNetwork.so.4
+
+install -D -m 0644 $CWD/TeamSpeak3.desktop $PKG/usr/share/applications/TeamSpeak3.desktop
+install -D -m 0644 $CWD/TeamSpeak3.xpm $PKG/usr/share/pixmaps/TeamSpeak3.xpm
+install -D -m 0755 $CWD/TeamSpeak3.launcher $PKG/usr/bin/TeamSpeak3
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $PKG/opt/TeamSpeak3/CHANGELOG $PKG/opt/TeamSpeak3/LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/TeamSpeak3/TeamSpeak3.desktop b/multimedia/TeamSpeak3/TeamSpeak3.desktop
new file mode 100644
index 0000000..8836a31
--- /dev/null
+++ b/multimedia/TeamSpeak3/TeamSpeak3.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=TeamSpeak 3
+GenericName=TeamSpeak
+Comment=TeamSpeak is software for quality voice communication via the Internet
+Exec=TeamSpeak3
+Icon=TeamSpeak3
+StartupNotify=true
+Terminal=false
+Type=Application
+Categories=Network;
diff --git a/multimedia/TeamSpeak3/TeamSpeak3.info b/multimedia/TeamSpeak3/TeamSpeak3.info
new file mode 100644
index 0000000..c10e9ef
--- /dev/null
+++ b/multimedia/TeamSpeak3/TeamSpeak3.info
@@ -0,0 +1,10 @@
+PRGNAM="TeamSpeak3"
+VERSION="3.0.10"
+HOMEPAGE="http://www.teamspeak.com/"
+DOWNLOAD="http://teamspeak.gameserver.gamed.de/ts3/releases/3.0.10/TeamSpeak3-Client-linux_x86-3.0.10.run"
+MD5SUM="1a0f4fa7effca1419d74f7bac2c9a8e4"
+DOWNLOAD_x86_64="http://teamspeak.gameserver.gamed.de/ts3/releases/3.0.10/TeamSpeak3-Client-linux_amd64-3.0.10.run"
+MD5SUM_x86_64="73f0328f4d64150b6465932e624725df"
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackware-id.org"
diff --git a/multimedia/TeamSpeak3/TeamSpeak3.launcher b/multimedia/TeamSpeak3/TeamSpeak3.launcher
new file mode 100644
index 0000000..21ec282
--- /dev/null
+++ b/multimedia/TeamSpeak3/TeamSpeak3.launcher
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+cd "/opt/TeamSpeak3"
+./ts3client_runscript.sh $@
+exit $?
diff --git a/multimedia/TeamSpeak3/TeamSpeak3.xpm b/multimedia/TeamSpeak3/TeamSpeak3.xpm
new file mode 100644
index 0000000..fe47b3b
--- /dev/null
+++ b/multimedia/TeamSpeak3/TeamSpeak3.xpm
@@ -0,0 +1,305 @@
+/* XPM */
+static char *dummy[]={
+"48 48 254 2",
+"Qt c None",
+"ar c #026d04",
+"aq c #069309",
+"aF c #0c9928",
+"ae c #0f6f16",
+"ad c #107a03",
+"aW c #138d08",
+"a7 c #148d1e",
+"bg c #165f30",
+"bh c #17602f",
+"a6 c #1b633e",
+"a3 c #1b6a32",
+"#0 c #1b8418",
+"bi c #1e4c3b",
+"aK c #1fb404",
+"aE c #1fd04d",
+"aJ c #228739",
+"aD c #25d939",
+"aG c #276253",
+"ax c #27a737",
+"aO c #27f965",
+"bf c #28534e",
+"ay c #28da23",
+"as c #296255",
+"aN c #29fa5d",
+"ap c #2bb41e",
+"bW c #2c3546",
+"aR c #2d9d45",
+"br c #303b50",
+"aS c #305a5c",
+"bk c #323e54",
+"aX c #32d03c",
+"b5 c #333d50",
+"aj c #33bb49",
+"aC c #33e131",
+"bR c #343d50",
+"bb c #344056",
+"#1 c #35845e",
+"#4 c #36435b",
+"ba c #365360",
+"aB c #36ee37",
+"aM c #36f958",
+"aT c #38455d",
+"aA c #39f83c",
+"bL c #3a4355",
+"be c #3a4760",
+"af c #3a5e69",
+"aL c #3ae333",
+"bn c #3b4250",
+".R c #3b485e",
+".z c #3b4862",
+"#n c #3b4b64",
+"bj c #3b5166",
+"bs c #3c4452",
+"#a c #3c4a64",
+"ac c #3ca72c",
+".E c #3d4962",
+"aH c #3d4c66",
+"#t c #3e4d68",
+"#C c #404e6a",
+".t c #414e65",
+"b4 c #434e62",
+".1 c #43516c",
+"#Z c #43a735",
+"bC c #444d5e",
+".v c #455166",
+".y c #455573",
+"#i c #475a75",
+"#P c #47ae4e",
+"am c #47fc4a",
+"bt c #485162",
+"#z c #485772",
+"#Q c #489571",
+"az c #49f243",
+"aP c #49fa88",
+"#b c #4a5975",
+".0 c #4c5669",
+".2 c #4d5c79",
+"bm c #4e5868",
+"#8 c #4eae72",
+"ao c #4ed03d",
+"bS c #505762",
+".x c #505e79",
+".o c #515b6e",
+"#2 c #515d74",
+".V c #53627b",
+"#I c #537680",
+"an c #53ec4b",
+".n c #565e6e",
+".F c #566580",
+"bK c #576276",
+"#T c #577983",
+".S c #586681",
+"ak c #58ee66",
+".u c #596171",
+".U c #5a6882",
+"bX c #5b616b",
+"#E c #5b657a",
+"aw c #5d687c",
+"by c #5d6b85",
+"a8 c #5dcf79",
+"bV c #5e6a80",
+"#K c #5e8b89",
+"#o c #5f6d86",
+"bT c #60697c",
+"#H c #609c89",
+"bD c #616e88",
+"b# c #61c07a",
+".f c #636b7b",
+"bY c #636d7f",
+".e c #646d7c",
+"#G c #64ac8e",
+".w c #657187",
+".s c #65728b",
+"#U c #66e377",
+"aZ c #66feaa",
+"b6 c #696e77",
+".H c #69758e",
+"a0 c #69feac",
+"bJ c #6a717c",
+".d c #6a7282",
+"b3 c #6a7488",
+"#F c #6a9992",
+"#O c #6ad465",
+"aY c #6cfda3",
+".p c #6d778b",
+".I c #6d7a91",
+"bZ c #6f788b",
+"aQ c #6fed9c",
+"aa c #6ffa7a",
+".D c #707783",
+"aU c #727b8c",
+"ab c #72db67",
+"#7 c #737d92",
+"al c #73fd80",
+"b7 c #747a84",
+"ag c #767c85",
+"#L c #76ea8d",
+".g c #77808f",
+"b2 c #778194",
+".3 c #778298",
+"bH c #787d85",
+".m c #7a808b",
+".c c #7a828f",
+"bQ c #7b7f88",
+"#3 c #7b8392",
+"b0 c #7b8396",
+"aV c #7b8494",
+"#A c #7b869a",
+"bF c #7c7e86",
+"bp c #7c818a",
+"#9 c #7cec81",
+"## c #7d8390",
+".4 c #7d889c",
+"#d c #7d8aa4",
+"bz c #7e8491",
+"a# c #7efe93",
+"#c c #7f899b",
+"bP c #80858e",
+"bO c #808b9f",
+"a2 c #80d598",
+"#S c #818895",
+"b1 c #828c9e",
+"#p c #828da1",
+"ai c #838b9a",
+"b. c #83e6a5",
+"bB c #848991",
+"at c #858e9e",
+"#r c #858ea1",
+"#w c #8592ac",
+"bN c #86898d",
+".G c #8690a3",
+"#Y c #86e982",
+"a9 c #86eaa9",
+"#k c #8795b0",
+"bq c #888c93",
+"a1 c #88fdbb",
+"bE c #898b90",
+".b c #898f9a",
+".h c #8991a0",
+"#x c #8a99b5",
+"#N c #8af397",
+"#M c #8af99b",
+"bG c #8b8f96",
+"#h c #8c96a8",
+"#e c #8e9dba",
+"bU c #8f96a6",
+".T c #8f98a9",
+"bo c #90949d",
+".5 c #909fbc",
+"#s c #9197a2",
+"#u c #939bac",
+".q c #939db1",
+"#f c #93a2bd",
+"#J c #959aa4",
+"bd c #97a5c0",
+"bw c #99a6c1",
+".l c #9a9fa8",
+".6 c #9ba9c3",
+"bx c #9ca2ac",
+".i c #9ca4b3",
+".W c #a0a6b3",
+"#l c #a0adc5",
+"#R c #a3abb8",
+".a c #a4a9b3",
+"#X c #a4feb9",
+"#g c #a5b1c8",
+"#j c #a8aeba",
+".k c #a8afbd",
+"bI c #aaacaf",
+"bM c #aaaeb7",
+".7 c #aab5cb",
+".K c #abb1bc",
+"av c #aeb4c0",
+"#q c #aeb9cb",
+"bv c #afb1b5",
+"bc c #b0b5bd",
+"aI c #b0b6c2",
+"bA c #b1b3b6",
+".J c #b1b8c4",
+"a. c #b2fec6",
+".j c #b3b8c3",
+"bl c #b3bdd0",
+"bu c #b4bac6",
+"#v c #b5bcc7",
+"ah c #b6bac3",
+"#y c #b7c1d3",
+"a5 c #b9bfcb",
+"#V c #b9fcc4",
+".8 c #bbc4d5",
+"#B c #bcc1cc",
+".r c #c2c7d1",
+".X c #c3c9d5",
+".L c #c3cbd9",
+".# c #c4c7cd",
+"#W c #c4ffd7",
+"a4 c #c6c8cd",
+"au c #c8cdd5",
+".9 c #c8cfdd",
+"#6 c #cacdd3",
+".Y c #cad1de",
+".Z c #ccd3e0",
+".A c #d0d3d9",
+".M c #d0d6e2",
+".N c #d3d9e4",
+"#D c #d6d8de",
+".O c #d9dde5",
+"#. c #dadfe8",
+".P c #dde1ea",
+"#5 c #dfe2e7",
+".B c #e2e6ec",
+"#m c #e5e8ef",
+".Q c #e6eaf0",
+".C c #ebeef2",
+"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
+"QtQtQtQtQtQtQtQtQtQtQtQtQt.#.a.b.c.d.e.f.d.g.h.i.jQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
+"QtQtQtQtQtQtQtQtQtQt.k.lQtQtQtQtQtQtQtQtQtQtQtQt.m.n.o.p.q.rQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
+"QtQtQtQtQtQtQtQt.q.s.tQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.u.v.w.qQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
+"QtQtQtQtQtQtQt.q.x.y.zQtQtQtQtQt.A.B.C.CQtQtQtQtQtQtQtQtQtQt.D.E.F.GQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
+"QtQtQtQtQtQtQt.H.y.y.zQtQt.I.JQtQt.K.L.M.M.N.O.P.QQtQtQtQtQtQtQt.D.R.S.TQtQtQtQtQtQtQtQtQtQtQtQt",
+"QtQtQtQtQtQtQt.U.y.y.zQtQt.x.V.GQtQt.W.X.Y.Z.Z.Z.Z.M.O.BQtQtQtQtQtQt.0.1.sQtQtQtQtQtQtQtQtQtQtQt",
+"QtQtQtQtQtQtQt.V.y.y.zQtQt.x.y.2.3QtQt.4.5.6.7.8.9.Y.Z.Z.M#.QtQtQtQtQt###a.F.WQtQtQtQtQtQtQtQtQt",
+"QtQtQtQtQtQt.W.2.y.y.zQtQt.V.y.y#b#cQtQt#d#e.5#e#f#g.8.Y.Y.Z.M#.QtQtQtQtQt.E.x#hQtQtQtQtQtQtQtQt",
+"QtQtQtQtQtQt.4#i.y.y.zQtQt.V.y.y.y#b#jQt.a#k#e#e#e#e#e#l.L.Y.Y.Z.N#mQtQtQtQt#n.2.4QtQtQtQtQtQtQt",
+"QtQtQtQtQtQt#o.y.y.y.zQtQt.V.y.y.y.y.xQtQt#p#e#e#e#e#e#e.5#q.Y.Y.Z.M.PQtQtQtQt#a.2#rQtQtQtQtQtQt",
+"QtQtQtQtQtQt.F.y.y.y.zQtQt.V.y.y.y.y.y#rQtQt#k#e#e#e#e#e#e.5#g.Y.Y.Z.Z.OQtQtQt#s#t.2#uQtQtQtQtQt",
+"QtQtQtQtQt#v.x.y.y.y.zQtQt.V.y.y.y.y.y.yQtQt#w#e#e#e#e#e#e#e#e.7.Y.Y.Y.Z.OQtQtQt.d.1.2QtQtQtQtQt",
+"QtQtQtQtQt.q#b.y.y.y.zQtQt.V.y.y.y.y.y.y.TQt.J#x#e#e#e#e#e#e#e.5#y.Y.Y.Y.9QtQtQtQt.v.y.VQtQtQtQt",
+"QtQtQtQtQt.4#z.y.y.y#aQtQt#z.y.y.y.y.y.y#bQtQt#w#e#e#e#e#e#e#e#e#f.9.Y.Y.Y.XQtQtQtQt#t.y#AQtQtQt",
+"QtQtQt#B#A.x.y.y.y.y.y.TQtQt.v.1.y.y.y.y#CQtQt.q#e#e#e#e#e#e#e#e#e.7.Y.Y.Y.L#DQtQtQt#E.y.yQtQtQt",
+"QtQt.J#o.F#F#G#H#I.y.y.x#pQtQt.t.y.y.y.y.1#JQt#q#e#e#e#e#e#e#e#e#e#f.Y.Y.Y.Y#BQtQtQtQt.1.y#AQtQt",
+"QtQt.s#K#L#M#N#O#P#Q#i.y#b#RQtQt#a.y.y.y.1#SQt.O.7.5#e#e#e#e#e#e#e#e#y.Y.Y.Y.rQtQtQtQt.y.y.1QtQt",
+"Qt#h#T#U#V#W#X#Y#Z#0#1.y.y#2QtQt#3.1.y.y#4QtQt#5.Z.8#f#e#e#e#e#e#e#e.7.Y.Y.Y.L#6QtQtQt#7.y.1QtQt",
+"Qt#o#8#9a.a#aaabacadaeaf.y#CQtQtQt.1.y.1agQtQt.N.Z.Y.L#f#e#e#e#e#e#e#l.Y.Y.Y.9ahQtQtQt.W.y.1aiQt",
+"Qt.Vajakalamanaoapaqaras.y#CQtQtQtat.1.1.gQt#5au.Y.Y.Y.8.5#e#e#e#e#e#l.Y.Y.Y.YavQtQtQtQt#z.yawQt",
+"Qt#iaxayazaAaBaCaDaEaFaG.yaHQtQtQtQt#C.y#zQtQt.K.L.Y.Y.Y#g#e#e#e#e#e#g.Y.Y.Y.YaIQtQtQtQt#b.y.1Qt",
+"Qt#zaJaKaLaMaNaOaPaQaRaS.yaTQtQtQtQt.V.y.yaUQtQtav.Y.Y.Y.8.5#e#e#e#e#q.Y.Y.Y.YaIQtQtQtQt.2.y.EQt",
+"QtaVasaWaXaYaZa0a1a2a3.y.1.uQtQtQtQtat.y.y#bQtQta4a5.Y.Y.Y#f#e#e#e.5.L.Y.Y.Y.Y#jQtQtQtQt.x.y.EQt",
+"QtQt.ta6a7a8a9b.b#a3ba.ybbQtQtQtQtQtQt.y.y.y.VQtQtbc.X.Y.Ybd#e#e#e.6.Y.Y.Y.Y.Y.aQtQtQtQt.V.ybeQt",
+"QtQtQt.Rbfbga3bhbibj.1bkQtQtQtQtQtQtQt#b.y.y#z#AQtQtav.Y.Y#f#e#e#ebl.Y.Y.Y.Y.L.aQtQtQtQt.V.y.EQt",
+"QtQtQtQtbm#4#n#t#abkbnQtQtQtQtQtQtQtQt#b.y.y.y#zQtQt.#.X.9.5#e#e.6.Y.Y.Y.Y.Y#vQtQtQtQtQt.V.y.0Qt",
+"QtQtQtQtQtQtbobpbqQtQtQtQtQtQtQtQtQtQt.x.y#CbrbsQtQtQt.9bl#e#e#f.L.Y.Y.Y.Y.9#JQtQtQtQt#v.2.1.dQt",
+"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.V.1btQtQtQtQt#m.Ybd#e#f.X.Y.Y.Y.Y.YbubvQtQtQtQt#u#b#C#JQt",
+"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.x.1#SQtQt.B#..M#g#ebw.L.Y.Y.Y.Y.Y.XboQtQtQtQtQt.I.ybeQtQt",
+"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtav.2.y#2QtQta5.Y.7.5#g.9.Y.Y.Y.Y.Y.9#JQtQtQtQtQtQt.U.ybtQtQt",
+"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#h#b#CbmQtQt.X#lbw.8.Y.Y.Y.Y.Y.Y.9.WQtQtQtQtQtQt.G#baHboQtQt",
+"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.H.y#aQtQtQtbl#y.Y.Y.Y.Y.Y.Y.Y.9bxbvQtQtQtQtQtQtby.y#4QtQtQt",
+"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.S.y#CbzQtQt.Z.Y.Y.Y.Y.Y.Y.Y.L#sbAQtQtQtQtQtQt#p#b#a.bQtQtQt",
+"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#h#b.yaTQtQt.Q.M.Y.Y.Y.Y.Y.Ya5bBQtQtQtQtQtQtQt#v.S.1bCQtQtQtQt",
+"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtbD.y.yaHQtQt.M.Z.Y.Y.Y.Y.L.lbEQtQtQtQtQtQtQtQt.H.ybbQtQtQtQtQt",
+"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.G#b.y.y#CQtQt.Y.Y.Y.Y.L.abFQtQtQtQtQtQtQtQtQt#A#baTbGQtQtQtQtQt",
+"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.K.F.y.y.yaHQtQt.M.9#B.lbHbIQtQtQtQtQtQtQtQtQt.G.2bebJQtQtQtQtQtQt",
+"QtQtQtQtQtQtQtQtQtQtQtQtQtQt.jbK#C#C#t#4bLQtQtbMbHbNQtQtQtQtQtQtQtQtQtQtQtbO.2bebJQtQtQtQtQtQtQt",
+"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtbPagbQQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.r#7#zbbagQtQtQtQtQtQtQtQt",
+"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#RbD#CbRQtQtQtQtQtQtQtQtQtQt",
+"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#B.3#bbbbSQtQtQtQtQtQtQtQtQtQtQt",
+"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt#BbO.V#4bsQtQtQtQtQtQtQtQtQtQtQtQtQt",
+"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.Oav#A#2bbbsQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
+"QtQtQtQtQtQtQtQt.ebTbU#vQtQtQtQtQtQtQtQtQtQtQtQtau.k#rbV.EbWbXQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
+"QtQtQtQtQtQtQtQtQtQtQtag.n.nbYbZb0at#rb1#cb2b3bKb4b5bsb6QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
+"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtbBbHb7b7bpbGQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
+"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt"};
diff --git a/multimedia/TeamSpeak3/doinst.sh b/multimedia/TeamSpeak3/doinst.sh
new file mode 100644
index 0000000..5fb2893
--- /dev/null
+++ b/multimedia/TeamSpeak3/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/multimedia/TeamSpeak3/slack-desc b/multimedia/TeamSpeak3/slack-desc
new file mode 100644
index 0000000..d610ad4
--- /dev/null
+++ b/multimedia/TeamSpeak3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+TeamSpeak3: TeamSpeak3 (Voice Communication)
+TeamSpeak3:
+TeamSpeak3: TeamSpeak is software for quality voice communication via Internet
+TeamSpeak3:
+TeamSpeak3: TeamSpeak featured a client-server architecture, firewall-friendly
+TeamSpeak3: client communication, multiple channels (formerly known as "rooms"),
+TeamSpeak3: user administration, and cross-platform support.
+TeamSpeak3:
+TeamSpeak3: Project Site: http://www.teamspeak.com/
+TeamSpeak3:
+TeamSpeak3: